pidgin: sound.h File Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Structures | Typedefs | Enumerations
sound.h File Reference
libpurple

Sound API. More...

`#include "account.h"`

Go to the source code of this file.

## Data Structures
struct | _PurpleSoundUiOps
| Operations used by the core to request that particular sound files, or the sound associated with a particular event, should be played. More...

## Typedefs
typedef enum _PurpleSoundEventID | PurpleSoundEventID
| Data Structures
typedef struct _PurpleSoundUiOps | PurpleSoundUiOps
| Operations used by the core to request that particular sound files, or the sound associated with a particular event, should be played.

## Enumerations
enum | _PurpleSoundEventID { PURPLE_SOUND_BUDDY_ARRIVE = 0 , PURPLE_SOUND_BUDDY_LEAVE , PURPLE_SOUND_RECEIVE , PURPLE_SOUND_FIRST_RECEIVE , PURPLE_SOUND_SEND , PURPLE_SOUND_CHAT_JOIN , PURPLE_SOUND_CHAT_LEAVE , PURPLE_SOUND_CHAT_YOU_SAY , PURPLE_SOUND_CHAT_SAY , PURPLE_SOUND_POUNCE_DEFAULT , PURPLE_SOUND_CHAT_NICK , PURPLE_SOUND_GOT_ATTENTION , PURPLE_NUM_SOUNDS }
| Data Structures More...

## Functions
Sound API <br>
void | purple_sound_play_file (const char *filename, const PurpleAccount *account)
| Plays the specified sound file.
void | purple_sound_play_event (PurpleSoundEventID event, const PurpleAccount *account)
| Plays the sound associated with the specified event.
void | purple_sound_set_ui_ops (PurpleSoundUiOps *ops)
| Sets the UI sound operations.
PurpleSoundUiOps * | purple_sound_get_ui_ops (void)
| Gets the UI sound operations.
void | purple_sound_init (void)
| Initializes the sound subsystem.
void | purple_sound_uninit (void)
| Shuts down the sound subsystem.
void * | purple_sounds_get_handle (void)
| Returns the sound subsystem handle.

## Detailed Description

Sound API.

See also
  Sound Signals

Definition in file sound.h.

## Typedef Documentation

## ◆ PurpleSoundEventID

typedef enum _PurpleSoundEventID PurpleSoundEventID

Data Structures

A type of sound.

## Enumeration Type Documentation

## ◆ _PurpleSoundEventID

enum _PurpleSoundEventID

Data Structures

A type of sound.

Enumerator
PURPLE_SOUND_BUDDY_ARRIVE | Buddy signs on.
PURPLE_SOUND_BUDDY_LEAVE | Buddy signs off.
PURPLE_SOUND_RECEIVE | Receive an IM.
PURPLE_SOUND_FIRST_RECEIVE | Receive an IM that starts a conv.
PURPLE_SOUND_SEND | Send an IM.
PURPLE_SOUND_CHAT_JOIN | Someone joins a chat.
PURPLE_SOUND_CHAT_LEAVE | Someone leaves a chat.
PURPLE_SOUND_CHAT_YOU_SAY | You say something in a chat.
PURPLE_SOUND_CHAT_SAY | Someone else says somthing in a chat.
PURPLE_SOUND_POUNCE_DEFAULT | Default sound for a buddy pounce.
PURPLE_SOUND_CHAT_NICK | Someone says your name in a chat.
PURPLE_SOUND_GOT_ATTENTION | Got an attention
PURPLE_NUM_SOUNDS | Total number of sounds.

Definition at line 41 of file sound.h.

## Function Documentation

## ◆ purple_sound_get_ui_ops()

PurpleSoundUiOps * purple_sound_get_ui_ops | ( | void |  | ) |

Gets the UI sound operations.

Returns
  The UI sound operations structure.

## ◆ purple_sound_play_event()

void purple_sound_play_event | ( | PurpleSoundEventID | event,
|  | const PurpleAccount * | account
| ) |  |

Plays the sound associated with the specified event.

Parameters

  event | The event.
  account | The account that this sound is associated with, or NULL if the sound is not associated with any specific account. This is needed for the "sounds while away?" preference to work correctly.

## ◆ purple_sound_play_file()

void purple_sound_play_file | ( | const char * | filename,
|  | const PurpleAccount * | account
| ) |  |

Plays the specified sound file.

Parameters

  filename | The file to play.
  account | The account that this sound is associated with, or NULL if the sound is not associated with any specific account. This is needed for the "sounds while away?" preference to work correctly.

## ◆ purple_sound_set_ui_ops()

void purple_sound_set_ui_ops | ( | PurpleSoundUiOps * | ops | ) |

Sets the UI sound operations.

Parameters

  ops | The UI sound operations structure.

## ◆ purple_sounds_get_handle()

void * purple_sounds_get_handle | ( | void |  | ) |

Returns the sound subsystem handle.

Returns
  The sound subsystem handle.